# cwltool.resolver

Resolves references to CWL documents from local or remote places.

## Attributes

`ga4gh_tool_registries` |
`GA4GH_TRS_FILES` |
`GA4GH_TRS_PRIMARY_DESCRIPTOR` |

## Functions

`resolve_local`(document_loader, uri) | Use the local resolver to find the target of the URI.
`tool_resolver`(document_loader, uri) | Try both the local resolver and the GA4GH TRS resolver, in that order.
`resolve_ga4gh_tool`(document_loader, uri) | Use the GA4GH TRS API to resolve a tool reference.

## Module Contents

cwltool.resolver.resolve_local(document_loader, uri)

  Use the local resolver to find the target of the URI.

  Parameters:

    - document_loader (schema_salad.ref_resolver.Loader | None)

    - uri (str)

  Return type:

    str | None

cwltool.resolver.tool_resolver(document_loader, uri)

  Try both the local resolver and the GA4GH TRS resolver, in that order.

  Parameters:

    - document_loader (schema_salad.ref_resolver.Loader)

    - uri (str)

  Return type:

    str | None

cwltool.resolver.ga4gh_tool_registries = ['https://dockstore.org/api']

cwltool.resolver.GA4GH_TRS_FILES = '{0}/api/ga4gh/v2/tools/{1}/versions/{2}/CWL/files'

cwltool.resolver.GA4GH_TRS_PRIMARY_DESCRIPTOR = '{0}/api/ga4gh/v2/tools/{1}/versions/{2}/plain-CWL/descriptor/{3}'

cwltool.resolver.resolve_ga4gh_tool(document_loader, uri)

  Use the GA4GH TRS API to resolve a tool reference.

  Parameters:

    - document_loader (schema_salad.ref_resolver.Loader)

    - uri (str)

  Return type:

    str | None